// User Interface
clearscreen();
pushbutton([3,0], "Create a Material", "/nmm01", {"process":navigateTransactions});

/*****************************************************
- 	This function will go to MM01 and create a material
- 	In each onscreen, we will set the title so that the 
	user can track how far the process is.
- 	We include a delay of 1 second so the title stays on 
	on the screen long enough to be read. This is for 
	illustration purposes only
*****************************************************/

function navigateTransactions(){
	onscreen 'SAPLMGMM.0060'
		title("On MM01 Initial Screen");
		set("F[Material Type]", "FERT");
		set("F[Industry Sector]", "M");
		enter('/5',1000);
	// Create Material (Initial Screen)
	onscreen 'SAPLMGMM.0070'
		title("Selecting Views");
		set('Cell[Table,0,1]', 'X');
		set('Cell[Table,0,4]', 'X');
		set('Cell[Table,0,6]', 'X');
		set('Cell[Table,0,12]', 'X');
		set('Cell[Table,0,13]', 'X');
		set('Cell[Table,0,14]', 'X');
		enter('/6',1000);
	
	// Create Material (Initial Screen)
	onscreen 'SAPLMGMM.0080'
		title("In Organizational Levels");
		set('F[Plant]', '1000');
		set('F[Stor. Location]', '0001');
		set('F[Sales Org.]', '1000');
		set('F[Distr. Channel]', '10');
		enter(1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4004'
		title("On Basic Data 1 Tab");
		set('F[MAKT-MAKTX]', 'Test Material');
		set('F[Base Unit of Measure]', 'EA');
		set('F[Material Group]', '001');
		enter('=SP04',1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4000'
		title("On Sales Org 1 Tab");
		set('cell[TABLE,5,1]', '1');
		set('cell[TABLE,5,2]', '1');
		enter('=SP06',1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4000'
		title("On General Plant Tab");
		set('F[Trans. Grp]', '0001');
		set('F[LoadingGrp]', '0001');
		enter('=SP12',1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4000'
		title("On MRP 1 Tab");
		set('F[MRP Type]', 'ND');
		enter('=SP13',1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4000'
		title("On MRP 2 Tab");
		set('C[Bulk Material]', 'X');
		set('F[SchedMargin key]', '000');
		enter('=SP14',1000);

	// Create Material 68999 (Finished product)
	onscreen 'SAPLMGMM.4000'
		title("On MRP 3 Tab");
		set('F[Availability check]', '01');
		enter('/11',1000);
	
}